dbXML API

## com.dbxml.db.enterprise.dbfiler
Class DBFilerPool

    java.lang.Object
      com.dbxml.util.ObjectPool
          com.dbxml.db.enterprise.dbfiler.DBFilerPool

public final class DBFilerPool
extends ObjectPool

DBFilerPool is a Connection Pool implementation for the DBFiler class.

Constructor Summary
`DBFilerPool(java.lang.String url)`
`DBFilerPool(java.lang.String url, java.util.Properties props)`
`DBFilerPool(java.lang.String url, java.lang.String user, java.lang.String password)`

Method Summary
`Poolable` `createObject()`

Methods inherited from class com.dbxml.util.ObjectPool
`getObject, isEmpty, putObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBFilerPool

    public DBFilerPool(java.lang.String url,
                       java.lang.String user,
                       java.lang.String password)

### DBFilerPool

    public DBFilerPool(java.lang.String url,
                       java.util.Properties props)

### DBFilerPool

    public DBFilerPool(java.lang.String url)

Method Detail

### createObject

    public Poolable createObject()

  Returns:
    Poolable a new Poolable object instance

dbXML API

Copyright (c) 2004 The dbXML Group